ChangeSet 1.1243.50.13, 2003/06/10 14:49:50-07:00, david-b@pacbell.net

[PATCH] USB: usb/core/devio: identify process

Rather than just saying that USBDEVFS_CONTROL failed,
say also which process it failed for ... so it's easier
to figure out what's happen.


 drivers/usb/core/devio.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)


diff -Nru a/drivers/usb/core/devio.c b/drivers/usb/core/devio.c
--- a/drivers/usb/core/devio.c	Tue Jun 10 17:11:19 2003
+++ b/drivers/usb/core/devio.c	Tue Jun 10 17:11:19 2003
@@ -578,7 +578,9 @@
 	}
 	free_page((unsigned long)tbuf);
 	if (i<0) {
-		printk(KERN_DEBUG "usbfs: USBDEVFS_CONTROL failed dev %d rqt %u rq %u len %u ret %d\n", 
+		printk(KERN_DEBUG "usbfs: USBDEVFS_CONTROL failed "
+			"cmd %s dev %d rqt %u rq %u len %u ret %d\n", 
+			current->comm,
 		       dev->devnum, ctrl.bRequestType, ctrl.bRequest, ctrl.wLength, i);
 	}
 	return i;
